%define __debug_install_post %{_rpmconfigdir}/find-debuginfo.sh %{?_find_debuginfo_opts} "%{_builddir}/%{?buildsubdir}" %{nil}
%define debug_package %{nil}
Name:                blackbox_exporter
Version:             0.23.0
Release:             1
Summary:             Prometheus blackbox prober exporter
License:             Apache-2.0
URL:                 https://github.com/prometheus/blackbox_exporter
Source0:             https://github.com/prometheus/blackbox_exporter/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:             %{name}.service
Source2:             vendor.tar.gz
BuildRequires:       golang promu
Requires(pre):       prometheus2
%description
The blackbox exporter allows blackbox probing of endpoints over HTTP, HTTPS, DNS, TCP and ICMP.

%prep
%setup -q -n %{name}-%{version}
tar xvf %{SOURCE2} -C .

%build
export GOFLAGS="-mod=vendor"
promu build

%install
mkdir -p %{buildroot}{%{_bindir},%{_unitdir},%{_sysconfdir}/prometheus}
install -m0755 %{name}-%{version} %{buildroot}%{_bindir}/%{name}
install -m0644 blackbox.yml %{buildroot}%{_sysconfdir}/prometheus/blackbox.yml
install -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%doc LICENSE README.md CONFIGURATION.md example.yml
%{_bindir}/*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/prometheus/blackbox.yml

%changelog
* Tue Jan 31 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.23.0-1
- Update package to version 0.23.0

* Tue Aug 10 2021 huanghaitao <huanghaitao8@huawei.com> - 0.19.0-2
- Fix systemd macro spelling errors.

* Thu Aug 5 2021 huanghaitao <huanghaitao8@huawei.com> - 0.19.0-1
- package init
